package com.yihu.hos.resource.dao;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.web.framework.model.DataGridResult;
import com.yihu.hos.resource.model.RsResourceRestDetail;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/30.
 */
public interface IRsResourceRestDetailDao extends XSQLGeneralDAO {
    DataGridResult getResourceRestDetilList(Map<String, Object> conditionMap, Integer page, Integer rows) throws Exception;

    RsResourceRestDetail getResourceRestDetailByCode(String code) throws Exception;

    RsResourceRestDetail getResourceRestDetailByCodeAndResourceRestId(String code, String resourceRestId) throws Exception;

    RsResourceRestDetail getResourceRestDetailByCodeAndResourceRestIdWithOutId(String code, String resourceRestId, String id) throws Exception;
}
