<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="utf-8"%>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<style>
  #btn_add{
    right: 114px;
    position: absolute;
  }
  #btn_del{
    right: 10px;
    position: absolute;
  }
</style>
<!-- ####### Title设置 ####### -->
<div class="f-dn" data-head-title="true">适配方案管理</div>

<!-- ####### 页面部分 ####### -->
<div class="adpater-plan-modal">
  <!-- ####### 查询条件部分 ####### -->
  <div class="m-retrieve-area f-h50 f-dn f-pr m-form-inline" data-role-form>
    <div class="m-form-group f-mt10">
      <div class="m-form-control">
        <!--输入框-->
        <input type="text" id="ipt_search" placeholder="请输入方案代码或名称" class="f-ml10" data-attr-scan="searchNm"/>
      </div>
      <div class="m-form-control m-form-control-fr" style="display: none;">
        <!--按钮:新增-->
        <div id="btn_add" class="l-button u-btn u-btn-primary u-btn-small f-ib f-vam" >
          <span><spring:message code="btn.create"/></span>
        </div>
      </div>
      <div class="m-form-control" style="display: none;">
        <!--按钮:批量删除-->
        <div id="btn_del" class="l-button u-btn u-btn-primary u-btn-small f-ib f-vam" >
          <span><spring:message code="btn.multi.delete"/></span>
        </div>
      </div>
    </div>
  </div>

  <!--###### 查询明细列表 ######-->
  <div id="div_adapter_info_grid" >

  </div>
</div>

<div class="adapter">
  <!--head -->
  <div class="body-head f-h50" style="display: none">
    <a href="${contextRoot}/adapter/initial" target="background" class="f-fwb back">返回适配方案</a>
    <input id="adapter_plan_id" value=${adapterPlanId} hidden="none" />
    <input class="f-fwb f-ml20 f-mt10" id="adapter_plan_name"/>
    <span class="f-ml20">初始方案：</span><input class="f-mt10" id="adapter_plan_parent"/>
    <span class="f-ml20">方案类别：</span><input class="f-mt10" id="adapter_plan_type"/>
    <span class="f-ml20">映射机构/区域：</span><input class="f-mt10" id="adapter_plan_org"/>
  </div>
  <!--head -->
  <iframe src="${contextRoot}/user/initial" style="width: 100%; height: 100%">

  </iframe>
</div>

