<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="utf-8"%>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<style>

  .m-form-inline .m-form-group label{ width: 110px; }
  .update-footer{right: 10px;}
</style>

<div id="div_adapter_info_form" data-role-form class="m-form-inline f-mt20">
  <input id="id" name="id" data-attr-scan="id"  hidden>
  <div class="m-form-group">
    <label>方案类别<spring:message code="spe.colon"/></label>
    <div class="l-text-wrapper m-form-control essential">
      <input type="text" id="ipt_type" data-type="select" class="required" required-title="不能为空" data-attr-scan="type">
    </div>
  </div>
  <div class="m-form-group">
    <label>方案代码<spring:message code="spe.colon"/></label>
    <div class="l-text-wrapper m-form-control essential">
      <input type="text" id="ipt_code" class="required" required-title="不能为空" data-attr-scan="code">
    </div>
  </div>
  <div class="m-form-group">
    <label>方案名称<spring:message code="spe.colon"/></label>
    <div class="l-text-wrapper m-form-control essential">
      <input type="text" id="ipt_name" class="required" required-title="不能为空" data-attr-scan="name"/>
    </div>
  </div>
  <div class="m-form-group">
    <label>标准版本<spring:message code="spe.colon"/></label>
    <div class="l-text-wrapper m-form-control essential">
      <input type="text" id="ipt_version" data-type="select" class="required" data-attr-scan="version">
    </div>
  </div>
  <div class="m-form-group">
    <label>映射机构/区域<spring:message code="spe.colon"/></label>
    <div class="l-text-wrapper m-form-control essential">
      <input type="text" id="ipt_org" data-type="select" class="required" data-attr-scan="org">
    </div>
    <div class="add-image"></div>
  </div>
  <div class="m-form-group">
    <label>初始方案<spring:message code="spe.colon"/></label>
    <div class="l-text-wrapper m-form-control">
      <input type="text" id="ipt_parent" data-type="select" class="required" data-attr-scan="parentId">
    </div>
  </div>
  <div class="m-form-group">
    <label><spring:message code="lbl.description"/><spring:message code="spe.colon"/></label>
    <div class="m-form-control ">
      <textarea id="ipt_description" class="f-w240 description" data-attr-scan="description" maxlength="500"></textarea>
    </div>
  </div>
  <div class="m-form-group f-pr">
    <div class="m-form-control f-pa update-footer">
      <div id="btn_save" class="l-button u-btn u-btn-primary u-btn-large f-ib f-vam" >
        <span>保存</span>
      </div>
      <div id="btn_cancel" class="l-button u-btn u-btn-cancel u-btn-large f-ib f-vam" >
        <span>关闭</span>
      </div>
    </div>
  </div>
</div>
