<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="utf-8"%>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>


<style>

  input,#cdaVersion {
    font-family: SimSun;
    font-size: 14px;
    height: 30px;
    width: 240px;
  }

  .image-create{
    margin-left:20px;
    width: 22px;
    height: 22px;
    background: url(${staticRoot}/images/add_btn.png);
  }

  .image-create:hover{
    cursor: pointer;
    margin-left:20px;
    width: 22px;
    height: 22px;
    background: url(${staticRoot}/images/add_btn_pre.png);
  }
  .image-modify{
    width: 22px;
    height: 22px;
    background: url(${staticRoot}/images/Modify_btn_pre.png);
  }
  .image-delete{
    width: 22px;
    height: 22px;
    margin-top: -22px;
    background: url(${staticRoot}/images/Delete_btn_pre.png);
  }

  .font_right{
    text-align: right;
  }


  .description{
    height: 180px;
    width: 240px;
  }
  .condition input,
  .condition select{
    font-family: SimSun;
    font-size: 12px;
    height: 30px;
    width: 240px;
  }
  .condition button {
    width: 84px;
  }
  .body-head input{
    border: 0;
    font-size: 12px;
    width: 100px;
  }
  .back{
    border-right: 1px solid #d3d3d3;
  }
</style>
<!--######用户管理页面Title设置######-->
<div class="f-dn" data-head-title="true"><spring:message code="title.dict.manage"/></div>
<div id="div_wrapper" >
  <div id="conditionArea" class="f-mb10" align="right" style="margin-right: 10px;">
    <div class="body-head f-h50" align="left" style="border-bottom: 1px solid #ccc">
      <a href="${contextRoot}/adapterorg/initial"  class="f-fwb back">返回采集标准</a>
      <input id="adapter_org" value='${adapterOrg}' hidden="none" />
      <input class="f-fwb f-ml20 f-mt10" id="adapter_org_name"/>
      <span class="f-ml20">父级标准：</span><input class="f-mt10" id="adapter_org_parent"/>
      <span class="f-ml20">标准说明：</span><input class="f-mt10" id="adapter_org_description"/>
    </div>
    <div class="switch f-tac f-h50">
      <button id="switch_dataSet" class="btn btn-primary f-mt10"><spring:message code="lbl.dataset"/></button>
      <button id="switch_dict" class="btn f-mt10"><spring:message code="lbl.dict"/></button>
    </div>
  </div>

<div id="grid_content" style="width: 100%">
  <!--######数据集部分######-->
  <div id="div_left" style=" width:400px;float: left;">
    <div id="retrieve" class="m-retrieve-area f-h50 f-dn f-pr" style="display:block;border: 1px solid #D6D6D6;border-bottom: 0px">
      <ul>
        <li class=" f-mt15">
          <div class="f-mt10 f-fs14 f-ml10 f-f1" style="float: left">
              <span id="left_title" style="font-weight: bolder;"><spring:message code="lbl.dataset"/></span>
          </div>
          <div style="float: left;margin-left: 70px">
            <input type="text" id="searchNm" placeholder="<spring:message code="lbl.input.placehold"/>">
          </div>
          <div style="margin-left: 340px;padding-top: 4px">
          <div title="新增" id="btn_create" class="image-create"  onclick="javascript:$.publish('grid:left:open',['','new'])"></div>
          </div>
        </li>
      </ul>
    </div>
    <div id="div_left_grid" >

    </div>
  </div>

<!--   字典详情   -->
  <div id="div_right" style="float: left;width: 700px;margin-left: 10px">
    <div id="entryRetrieve" class="m-retrieve-area f-h50 f-dn f-pr" style="display:block;border: 1px solid #D6D6D6;border-bottom: 0px">
    <ul>
      <li class=" f-mt15">
        <div class="f-mt10 f-fs14 f-ml10 f-f1" style="float: left">
          <span id="right_title" style="font-weight: bolder;"><spring:message code="title.metaData"/></span>
        </div>
        <div style="float: left;margin-left: 70px">
          <input type="text" id="searchNmEntry" placeholder="<spring:message code="lbl.input.placehold"/>">
        </div>
        <div style="margin-left: 340px;">
          <a id="btn_create_relation" class="btn btn-primary J_add-btn f-fr f-mr10" style="  margin-right: 20px;"
              href="javascript:$.publish('grid:right:open',['','new'])">
            <spring:message code="btn.create"/>
          </a>
        </div>
        <div style="margin-left: 340px;">
          <a id="btn_Delete_relation" class="btn btn-primary J_add-btn f-fr f-mr10" style="  margin-right: 10px;margin-left: 10px;"
             href="javascript:$.publish('grid:right:delete',[''])" href="#">
            <spring:message code="btn.multi.delete"/>
          </a>
        </div>
      </li>
    </ul>
      </div>
    <div id="div_relation_grid" ></div>
  </div>
</div>
</div>
