<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="utf-8"%>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>

<link rel="stylesheet" href="${contextRoot}/develop/lib/plugin/switchery/switchery.css">
<style type="text/css">
    .panel-title{font-weight: bolder}

    .title_panel{border-left:1px solid #e1e1e1;padding:10px;}
    .title_panel_body{background-color: #f0f0f0;text-align: center;height:102px;}
    .title_panel_tt{line-height: 80px;font-size: 40px;font-weight: bolder}

    .job_run{padding-left:22px}
    .job_stop{padding-left:22px}
</style>

<!-- ####### 页面部分 ####### -->
<div class="panel-group">
    <div class="m-form-inline">
        <div class="m-form-group">
            <label style="width: 80px;">任务选择：</label>
            <div class="m-form-control">
                <input type="text" id="selJob" data-type="select" data-attr-scan="jobId">
            </div>
            <div class="m-form-control right" style="margin-left:10px">
                <div id="btnEditJob" class="l-button" >
                    <span>任务编辑</span>
                </div>
            </div>
            <div class="m-form-control right">
                <div id="btnRepeatJob" class="l-button" >
                    <span>任务补采</span>
                </div>
            </div>

        </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">采集情况</h3>
        </div>
        <div style="height:122px;">
            <div class="col-sm-3" style="text-align: center;padding-top:10px;">
                <div style="width:255px">
                    <input type="checkbox" class="js-switch" id="jobStatusSwitch" checked />
                </div>
                <div style="float: left;width:235px;border-left:1px solid #e1e1e1;;line-height: 32px;" id="jobStatus">
                    -
                </div>
                <div style="clear: both;padding-top:20px;">任务调度</div>
            </div>
            <div class="col-sm-3 title_panel">
                <div class="title_panel_body">
                    <div class="title_panel_tt blue" style="color:#1eaaff" id="divCount">-</div>
                    <div>采集数据总数</div>
                </div>
            </div>
            <div class="col-sm-3 title_panel">
                <div class="title_panel_body">
                    <div class="title_panel_tt green" id="divSuccess">-</div>
                    <div>成功采集数据总数</div>
                </div>
            </div>
            <div class="col-sm-3 title_panel">
                <div class="title_panel_body">
                    <div class="title_panel_tt orange" id="divPercent">-</div>
                    <div>成功率</div>
                </div>
            </div>
        </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">&nbsp;</h3>
        </div>
        <div class="panel-body">
            <div class="echarts" id="echarts-bar-chart" style="height:300px;"></div>
            <div class="echarts" id="echarts-blank" style="height:300px;display: none">&nbsp;</div>
        </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">历史执行记录</h3>
        </div>
        <div class="panel-body">
            <div id="div_grid"></div>
        </div>
    </div>
</div>


