<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<style>
  .m-form-inline .m-form-group label{ width: 110px; }
  .m-form-inline .m-form-group { margin-top: 10px; }
  .f-tac{ margin-top: -1030px; margin-left: 400px; }
</style>
<!--######人口管理页面 > 人口信息对话框模板页######-->
<div id="div_patient_info_form" data-role-form class="m-form-inline">
  <div class="m-form-group">
    <label>真实姓名：</label>
    <div class="l-text-wrapper m-form-control essential">
      <input type="text" id="inp_realName" class="required useTitle"   data-attr-scan="name"/>
    </div>
  </div>
  <div class="m-form-group">
    <label>身份证号：</label>
    <div class="l-text-wrapper m-form-control essential">
      <input type="text" id="inp_idCardNo" class="required useTitle"   data-attr-scan="idCardNo"/>
    </div>
  </div>
  <div class="m-form-group " >
    <label>病人性别:</label>
    <div class="u-checkbox-wrap m-form-control essential">
      <input type="radio" value="Male" name="gender" data-attr-scan>男
      <input type="radio" value="Female" name="gender" data-attr-scan>女
    </div>
  </div>
  <div class="m-form-group ">
    <label>病人民族：</label>
    <div class="l-text-wrapper m-form-control essential">
      <input type="text" id="inp_patientNation" data-type="select" class="required useTitle"   data-attr-scan="nation"/>
    </div>
  </div>
  <div class="m-form-group ">
    <label>病人籍贯：</label>
    <div class="l-text-wrapper m-form-control essential">
      <input type="text" id="inp_patientNativePlace" class="required useTitle"   data-attr-scan="nativePlace"/>
    </div>
  </div>
  <div class="m-form-group">
    <label>婚姻状况:</label>
    <div class="m-form-control">
      <input type="text" id="inp_select_patientMartialStatus" data-type="select" data-attr-scan="martialStatus">
    </div>
  </div>
  <div class="m-form-group">
    <label >出生日期：</label>
    <div class="m-form-control">
      <input type="text" id="inp_patientBirthday" class="required useTitle" placeholder="输入日期"  required-title="不能为空" data-attr-scan="birthday"/>
    </div>
  </div>
<%--  <div class="m-form-group">
    <label>户籍地址：</label>
    <div class="l-text-wrapper m-form-control">
      <input type="text" id="inp_birthPlace" class="required useTitle"   data-attr-scan="birthPlaceFull"/>
    </div>
  </div>--%>
  <div class="m-form-group">
    <label>户籍地址：</label>
    <div class="m-form-control f-w240">
      <input type="text" id="inp_birthPlace" data-type="comboSelect" data-attr-scan="birthPlace">
    </div>
  </div>

  <div class="m-form-group">
    <label>家庭地址：</label>
    <div class="m-form-control f-w240">
      <input type="text" id="inp_homeAddress" class="required useTitle"  data-type="comboSelect"   data-attr-scan="homeAddress"/>
    </div>
  </div>
  <div class="m-form-group">
    <label>工作地址：</label>
    <div class="m-form-control f-w240">
      <input type="text" id="inp_workAddress" class="required useTitle"  data-type="comboSelect"   data-attr-scan="workAddress"/>
    </div>
  </div>
  <div class="m-form-group">
    <label>户籍性质:</label>
    <div class="u-checkbox-wrap m-form-control">
      <input type="radio" value="temp" name="residenceType" data-attr-scan>农村
      <input type="radio" value="usual" name="residenceType" data-attr-scan>非农村
    </div>
  </div>
  <div class="m-form-group">
    <label>病人手机：</label>
    <div class="l-text-wrapper m-form-control">
      <input type="text" id="inp_patientTel" class="required useTitle"   data-attr-scan="tel"/>
    </div>
  </div>
  <div class="m-form-group">
    <label>病人邮箱：</label>
    <div class="l-text-wrapper m-form-control">
      <input type="text" id="inp_patientEmail" class="required useTitle"   data-attr-scan="email"/>
    </div>
  </div>
  <div class="m-form-group" id="div_password">
    <label>设置密码：</label>
    <div class="l-text-wrapper m-form-control">
      <input type="text" id="inp_password" class="required useTitle"   data-attr-scan="password" />
    </div>
  </div>
  <div id="div_patient_img_upload" class="u-upload alone f-ib f-tac f-vam" data-alone-file=true>
    <!--用来存放item-->
    <div id="div_file_list" class="uploader-list"></div>
    <div id="div_file_picker" class="f-mt10">选择文件</div>
  </div>

  <div style="padding-bottom: 6px" align="center">
  <div class="l-button u-btn u-btn-primary u-btn-large f-ib f-vam" id="div_resetPassword">
    <span>重置密码</span>
  </div>
  <div class="l-button u-btn u-btn-primary u-btn-large f-ib f-vam" id="div_update_btn">
    <span>保存</span>
  </div>
  <div class="l-button u-btn u-btn-cancel u-btn-large f-ib f-vam" id="div_cancel_btn">
    <span>关闭</span>
  </div>
  </div>
  </div>
