<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<!--######机构管理页面 > 机构信息对话框模板页######-->
<div id="div_info_form" class="m-form-inline" style="padding-top:10px;" data-role-form>
    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>业务资源项名称：</label>

        <div class="m-form-control">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入业务资源项名称" name="name"/>
            </div>
        </div>
    </div>

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>业务资源项代码：</label>

        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入业务资源项代码" name="code"/>
            </div>
        </div>
    </div>

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>命名空间：</label>

        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" class="l-text-field required"  placeholder="例:user.getUsername" name="namespace"/>
            </div>
        </div>
    </div>

    <div class="m-form-group">
        <label>访问方式：</label>

        <div class="m-form-control">
                <input type="text" id="httpType" data-type="select" class="l-text-field " name="type"/>
        </div>
    </div>

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>所属业务资源：</label>

        <div class="m-form-control ">
                <input type="text"  data-type="select" id="resourceRestId" class="l-text-field required" class="l-text-field" name="resourceRestId">
        </div>
    </div>
    <div class="m-form-group">
        <label>传入参数：</label>

        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" class="l-text-field" class="l-text-field" name="param">
            </div>
        </div>
    </div>
    <div class="m-form-group">
        <label>传入参数类型：</label>

        <div class="m-form-control ">
                <input type="text"  data-type="select" id="paramType" class="l-text-field" class="l-text-field" name="paramType">
        </div>
    </div>
    <div class="m-form-group">
        <label>返回值：</label>

        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" class="l-text-field" class="l-text-field" name="returnValue">
            </div>
        </div>
    </div>
    <div class="m-form-group">
        <label>返回值类型：</label>

        <div class="m-form-control ">
                <input type="text"   data-type="select" id="returnType"  class="l-text-field" class="l-text-field" name="returnType">
        </div>
    </div>
    <!-- 隐藏字段 -->
    <div class="m-form-group" style="display: none;">
        <input name="id" hidden="hidden"/>
    </div>
    <div class="m-form-bottom">
        <div id="btnCancel" class="l-button l-button-no">
            <span>关闭</span>
        </div>
        <div id="btnSave" class="l-button">
            <span>保存</span>
        </div>
    </div>
</div>
