<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="utf-8"%>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>

<style>

    #inp_url { height: 50px; }
    #inp_description { height: 100px; }
    #label_title {width : 100px}
</style>
<div id="div_stddict_info_form" data-role-form class="m-form-inline f-mt20" data-role-form>

    <input type="hidden" id="id" data-attr-scan="id"/>
    <div class="m-form-group">
        <label style="width:80px"><spring:message code="lbl.code"/><spring:message code="spe.colon"/></label>
        <div class="l-text-wrapper m-form-control essential">
            <input type="text" id="inp_stddict_code" class="required f-w240"  required-title="该项为必输项！" placeholder="请输入编码"  data-attr-scan="code"/>
        </div>
    </div>
    <div class="m-form-group">
        <label style="width:80px"><spring:message code="lbl.designation"/><spring:message code="spe.colon"/></label>
        <div class="l-text-wrapper m-form-control essential">
            <input type="text" id="inp_stddict_name" class="required f-w240"  required-title="该项为必输项！" placeholder="请输入名称"  data-attr-scan="name"/>
        </div>
    </div>

    <div class="m-form-group">
        <label style="width:80px"><spring:message code="lbl.dict.base"/><spring:message code="spe.colon"/></label>
        <div class="l-text-wrapper m-form-control ">
            <input type="text" id="inp_stddict_basedict" data-type="select" class="required" data-attr-scan="baseDictId">
        </div>
    </div>

    <div class="m-form-group">
        <label style="width:80px"><spring:message code="lbl.std.source"/><spring:message code="spe.colon"/></label>
        <div class="l-text-wrapper m-form-control essential">
            <input type="text" id="inp_stddict_stdSource" data-type="select" class="required" data-attr-scan="stdSource">
        </div>
    </div>

    <div class="m-form-group" id="div_stddict_stdVersion" >
        <label style="width:80px"><spring:message code="lbl.version.ref"/><spring:message code="spe.colon"/></label>
        <div class="l-text-wrapper m-form-control">
            <input type="text" id="inp_stddict_stdVersion" data-attr-scan="stdVersion"/>
        </div>
    </div>

    <div class="m-form-group">
        <label style="width:80px"><spring:message code="lbl.description"/><spring:message code="spe.colon"/></label>
        <div class="l-text-wrapper m-form-control">
            <textarea type="text" id="inp_stddict_description"  data-attr-scan="description" ></textarea>
        </div>
    </div>

    <div class="m-form-group f-pr" align="right">
        <div class="m-form-control f-pa" style="right: 10px">
            <input type="button" value="保存" id="btn_save" class="l-button u-btn u-btn-primary u-btn-large f-ib f-vam" />
            <div id="btn_cancel" class="l-button u-btn u-btn-cancel u-btn-large f-ib f-vam" >
                <span>关闭</span>
            </div>
        </div>
    </div>
</div>

