<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="utf-8"%>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<div id="div_info_form" class="m-form-inline" style="padding-top:10px;padding-bottom:55px;" >
    <div class="m-form-group">
      <label><span class="red">*&nbsp;</span>数据源名：</label>
      <div class="m-form-control">
         <input type="text" class="l-textbox" name="name"/>
      </div>
    </div>
    <div class="m-form-group">
      <label><span class="red">*&nbsp;</span>所属机构：</label>
        <div class="m-form-control">
            <input type="text" id="orgId" name="orgId">
        </div>
    </div>
    <div class="m-form-group" id="typeDiv">
      <label>数据源类型：</label>
      <div class="u-checkbox-wrap m-form-control">
        <input type="radio" name="type" value="0" checked>数据库
        <input type="radio" name="type" value="1">Web Service
        <input type="radio" name="type" value="2">文件系统
      </div>
    </div>
    <hr style="border-top:1px dashed #cccccc; height:1px">

    <!-- 数据源类型为：数据库 -->
    <div id="dataBaseDiv">
      <div class="m-form-group" id="dataSourceDiv">
        <label>数据库类型：</label>
        <div class="m-form-control">
            <input type="text" id="dataSource">
        </div>
      </div>
      <div class="m-form-group">
        <label>主机名或IP地址：</label>
          <div class="m-form-control">
             <input type="text" name="ip" id="ip" class="l-textbox" >
          </div>
      </div>
      <div class="m-form-group">
        <label>端口：</label>

          <div class="m-form-control">
              <input type="text" name="port" id="port" class="l-textbox" >
          </div>
      </div>
      <div class="m-form-group">
        <label>数据库名：</label>

          <div class="m-form-control">
              <input type="text" name="dataSourceName" id="dataSourceName" class="l-textbox" />
          </div>
      </div>
      <div class="m-form-group">
        <label>用户名：</label>
          <div class="m-form-control">
              <input type="text" name="userName" id="userName" class="l-textbox" />
          </div>
      </div>
      <div class="m-form-group">
        <label>密码：</label>
          <div class="m-form-control">
              <input type="password" name="password" id="password" class="l-textbox" />
          </div>
      </div>
    </div>

    <!-- 数据源类型为：Web Service -->
    <div id="webServiceDiv" style="display: none">
      <div class="m-form-group">
        <label>协议：</label>
          <div class="m-form-control">
              <input type="text" name="protocol" id="protocol" class="l-textbox" />
          </div>
      </div>
      <div class="m-form-group">
        <label>地址：</label>
          <div class="m-form-control">
              <input type="text" name="url" id="url" class="l-textbox" />
          </div>
      </div>
      <div class="m-form-group">
        <label>密钥：</label>
          <div class="m-form-control">
              <input type="text" name="secret" id="secret" class="l-textbox"  />
          </div>
      </div>
      <div class="m-form-group">
        <label>信任文件地址：</label>
          <div class="m-form-control">
              <input type="text" name="trustPath" id="trustPath" class="l-textbox"  />
          </div>
      </div>
      <div class="m-form-group">
        <label>信任文件密码：</label>
          <div class="m-form-control">
              <input type="text" name="trustPassword" id="trustPassword" class="l-textbox"  />
          </div>
      </div>
    </div>

    <!-- 数据源类型为：文件系统 -->
    <div id="fileSystemDiv" style="display: none">
      <div class="m-form-group">
        <label>主机名或IP地址：</label>
          <div class="m-form-control">
              <input type="text" name="file_ip" id="file_ip" class="l-textbox"  />
          </div>
      </div>
      <div class="m-form-group">
        <label>端口：</label>
          <div class="m-form-control">
              <input type="text" name="file_port" id="file_port"  class="l-textbox"  />
          </div>
      </div>
      <div class="m-form-group">
        <label>用户名：</label>
          <div class="m-form-control">
              <input type="text" name="file_userName" id="file_userName"  class="l-textbox"  />
          </div>
      </div>
      <div class="m-form-group">
        <label>密码：</label>
          <div class="m-form-control">
              <input type="text" name="file_password" id="file_password"  class="l-textbox"  />
          </div>
      </div>
    </div>

    <!-- 隐藏字段 -->
    <div style="display: none;">
      <input name="id" hidden="hidden"/>
      <input id="config" name="config" hidden="hidden"/>
    </div>
    <div class="m-form-bottom">
        <div class="l-button l-button-no" id="btnCancel">
            <span>关闭</span>
        </div>
        <div class="l-button" id="btnSave" style="margin-right:10px;">
            <span>保存</span>
        </div>
        <div class="l-button l-button-green" id="btnTest" style="margin-right:10px;">
            <span>连接测试</span>
        </div>
    </div>
    <div class="m-form-group" style="padding-top:10px;padding-left:130px">

      <div style="color: #3094d5;" id="testInfo"></div>
    </div>
   <%-- <div class="l-button u-btn u-btn-success u-btn-small f-ib f-vam btn-add" style="left: 100px;" id="testConnect">
      <span>连接测试</span>
    </div>--%>

</div>
