<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<!--######应用管理页面 > 应用详情模板页######-->
<div id="div_info_form" class="m-form-inline" style="padding-top:10px;" data-role-form>

    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>流程名称：</label>

        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入流程名称" name="name"/>
            </div>
        </div>
    </div>
    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>流程：</label>

        <div class="m-form-control">
            <form id="form1" action="${contextRoot}/flow/upload" method="post" enctype="multipart/form-data">
                <input type="text" name="path" class="l-textbox btnGrayUp" style="width: 144px;"  placeholder="点击选择流程文件" readonly="readonly" data-id="">
                <div style="float: right;">
                    <div  class="l-button l-button-no btnGrayDo" data-id="1">
                        <span style="background-color: rgb(240, 240, 240);">导入</span>
                    </div>
                    <label class="say1" style="display: inline-block;width: 70px;"></label>
                </div>
                <input type="file" name="file" style="display: none" id="file1" />
            </form>
        </div>
    </div>
    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>流程图：</label>
        <div class="m-form-control">
            <form id="form2" action="${contextRoot}/flow/upload" method="post" enctype="multipart/form-data">
                <input type="text" name="chart" class="l-textbox btnGrayUp" style="width: 144px;"  placeholder="点击选择图片" readonly="readonly" data-id="">
                <div style="float: right;">
                    <div  class="l-button l-button-no btnGrayDo" data-id="2">
                        <span style="background-color: rgb(240, 240, 240);">导入</span>
                    </div>
                    <label class="say2" style="display: inline-block;width: 70px;"></label>
                </div>
                <input type="file" name="file" style="display: none" id="file2" />
            </form>
        </div>
    </div>
    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>源代码：</label>

        <div class="m-form-control">
            <form id="form3" action="${contextRoot}/flow/upload" method="post" enctype="multipart/form-data">
                <input type="text" name="classPath" class="l-textbox btnGrayUp" style="width: 144px;"  placeholder="点击选择源代码文件" readonly="readonly" data-id="">
                <div style="float: right;">
                    <div  class="l-button l-button-no btnGrayDo" data-id="3">
                        <span style="background-color: rgb(240, 240, 240);">导入</span>
                    </div>
                    <label class="say3" style="display: inline-block;width: 70px;"></label>
                </div>
                <input type="file" name="file" style="display: none" id="file3" />
            </form>
        </div>
    </div>
    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>包名：</label>

        <div class="m-form-control">
            <div class="l-text">
                <input type="text" class="l-text-field" placeholder="请输入包名" name="packageName"/>
            </div>
        </div>
    </div>
    <div class="m-form-group">
        <label><span class="red">*&nbsp;</span>类名：</label>

        <div class="m-form-control">
            <div class="l-text">
                <input type="text" class="l-text-field required" placeholder="请输入类名" name="className"/>
            </div>
        </div>
    </div>
    <div class="m-form-group">
        <label>状态：</label>
        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" id="valid"  class="l-text-field required" name="valid">
            </div>
        </div>
    </div>
    <div class="m-form-group">
        <label>类别：</label>
        <div class="m-form-control ">
            <div class="l-text">
                <input type="text" id="type"  class="l-text-field required" name="type">
            </div>
        </div>
    </div>

    <!-- 隐藏字段 -->
    <div class="m-form-group" style="display: none;">
        <input name="id" hidden="hidden"/>
    </div>
    <div class="m-form-bottom">
        <div id="btnCancel" class="l-button l-button-no">
            <span>关闭</span>
        </div>
        <div id="btnSave" class="l-button">
            <span>保存</span>
        </div>
    </div>
</div>

<!--上传控件-->
<link rel="stylesheet" type="text/css" href="${staticRoot}/lib/webuploader/webuploader.css" />
<style>
    .m-form-group label{width: 135px;}
</style>