package com.yihu.hos;

import com.yihu.hos.common.listener.ApplicationStartListener;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.mongo.MongoDataAutoConfiguration;
import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;

@SpringBootApplication(exclude = {MongoAutoConfiguration.class, MongoDataAutoConfiguration.class})
public class HosBrokerApplication {

    public static void main(String[] args) {

        SpringApplication app = new SpringApplication(HosBrokerApplication.class);
        app.addListeners(new ApplicationStartListener());
        app.run(args);
    }
}
