package com.yihu.hos.controllers;

import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.*;

/**
 * @created Airhead 2016/8/1.
 */
@RestController
@RequestMapping("/service")
@Deprecated //直接由Arbiter来提供相关接串口，这样可以避免循环依赖
public class EndPointController {
    @RequestMapping(value = "/", produces = "application/json;charset=UTF-8", method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "登记服务信息", produces = "application/json", notes = "登记服务信息，当服务启动时调用，及定期调用。")
    public void save(
            @ApiParam(name = "service", value = "服务信息", required = true)
            @RequestParam(value = "service") String service) {
    }

    @RequestMapping(value = "/", produces = "application/json;charset=UTF-8", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "获取服务信息", produces = "application/json", notes = "获取服务信息")
    public String get(
            @ApiParam(name = "serviceName", value = "服务名称", required = true)
            @RequestParam(value = "serviceName") String serviceName) {
        return "";
    }


}
