package com.yihu.hos.datacollect.model;

import java.util.Date;

/**
 * RsJobConfig entity. @author MyEclipse Persistence Tools
 */

public class RsJobConfig implements java.io.Serializable {

	// Fields

	private String id;
	private String jobName;
	private String jobInfo;
	private String jobType;
	private String schemeId;
	private String schemeVersion;
	private Date jobNextTime;
	private String valid;
	private String jobContent;
	private String jobContentType;
	private Date repeatStartTime;
	private Date repeatEndTime;
	private Integer delayTime;

	// Constructors

	/** default constructor */
	public RsJobConfig() {
	}

	public String getJobContent() {
		return jobContent;
	}

	public void setJobContent(String jobContent) {
		this.jobContent = jobContent;
	}

	public String getJobContentType() {
		return jobContentType;
	}

	public void setJobContentType(String jobContentType) {
		this.jobContentType = jobContentType;
	}

	/** minimal constructor */
	public RsJobConfig(String jobName, String valid) {
		this.jobName = jobName;
		this.valid = valid;
	}

	/** full constructor */
	public RsJobConfig(String jobName, String jobInfo, String jobType, String schemeId,String schemeVersion, String jobTimeInterval, Date jobNextTime, String valid) {
		this.jobName = jobName;
		this.jobInfo = jobInfo;
		this.jobType = jobType;
		this.schemeId = schemeId;
		this.schemeVersion = schemeVersion;
		this.jobNextTime = jobNextTime;
		this.valid = valid;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getJobName() {
		return this.jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public String getJobInfo() {
		return this.jobInfo;
	}

	public void setJobInfo(String jobInfo) {
		this.jobInfo = jobInfo;
	}

	public String getJobType() {
		return this.jobType;
	}

	public void setJobType(String jobType) {
		this.jobType = jobType;
	}

	public String getSchemeId() {
		return schemeId;
	}

	public void setSchemeId(String schemeId) {
		this.schemeId = schemeId;
	}

	public String getSchemeVersion() {
		return schemeVersion;
	}

	public void setSchemeVersion(String schemeVersion) {
		this.schemeVersion = schemeVersion;
	}

	public Date getJobNextTime() {
		return this.jobNextTime;
	}

	public void setJobNextTime(Date jobNextTime) {
		this.jobNextTime = jobNextTime;
	}

	public String getValid() {
		return this.valid;
	}

	public void setValid(String valid) {
		this.valid = valid;
	}

	public Date getRepeatStartTime() {
		return repeatStartTime;
	}

	public void setRepeatStartTime(Date repeatStartTime) {
		this.repeatStartTime = repeatStartTime;
	}

	public Date getRepeatEndTime() {
		return repeatEndTime;
	}

	public void setRepeatEndTime(Date repeatEndTime) {
		this.repeatEndTime = repeatEndTime;
	}

	public Integer getDelayTime() {
		return delayTime;
	}

	public void setDelayTime(Integer delayTime) {
		this.delayTime = delayTime;
	}
}