<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="utf-8"%>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<style type="text/css">
  .m-form-inline .m-form-group label{width:auto;}
</style>
<style>

  input,#cdaVersion {
    font-family: SimSun;
    font-size: 14px;
    height: 30px;
    width: 240px;
  }

  .image-create{
    margin-left:20px;
    width: 22px;
    height: 22px;
    background: url(${staticRoot}/images/add_btn.png);
  }

  .image-create:hover{
    cursor: pointer;
    margin-left:20px;
    width: 22px;
    height: 22px;
    background: url(${staticRoot}/images/add_btn_pre.png);
  }
  .image-modify{
    width: 22px;
    height: 22px;
    background: url(${staticRoot}/images/Modify_btn_pre.png);
  }
  .image-delete{
    width: 22px;
    height: 22px;
    margin-top: -22px;
    background: url(${staticRoot}/images/Delete_btn_pre.png);
  }

  .font_right{
    text-align: right;
  }


  .description{
    height: 180px;
    width: 240px;
  }
  .condition input,
  .condition select{
    font-family: SimSun;
    font-size: 12px;
    height: 30px;
    width: 240px;
  }
  .condition button {
    width: 84px;
  }
  .body-head input{
    border: 0;
    font-size: 12px;
    width: 100px;
  }
  .back{
    border-right: 1px solid #d3d3d3;
  }
  .js-example-data-array{width: 90% !important;height:30px;margin-top:5px;}
</style>

<!--######用户管理页面Title设置######-->
<div id="div_wrapper" >
  <input id="version" value='${version}'hidden="none" />
  <input id="adapter_std_version" value='${adapterStdVersion}' hidden="none" />
  <input id="std_version" value='${stdVersion}' hidden="none" />
  <input id="scheme_id" value='${schemeId}' hidden="none" />
  <input id="std_dict_id" hidden="none" />
  <input id="publish_status" value='${status}' hidden="none" />

  <div position="top" style="margin-top: 10px;">
    <div id="btn_back" class="l-button u-btn u-btn-primary u-btn-small"  onclick="javascript: indexPage.openChildPage('','${contextRoot}' + '/adapterPlan/initial?treePid=5&treeId=23');">
      <span>< 返回</span>
    </div>
    <div id="title" style="text-align:center;font-size: 18px;margin-right:100px;font-weight: bold;">
      ${name}
    </div>
  </div>
  <br/>
  <div class="btn-group  f-tac " data-toggle="buttons" style="text-align: center;height: 50px;">
    <label class="btn btn-default active" style="width: 100px;" id="switch_dataSet"><input type="radio" name="options"  autocomplete="off" checked="">数据集</label>
    <label class="btn btn-default" style="width: 100px;" id="switch_dict"><input type="radio" name="options"  autocomplete="off">字典</label>
  </div>

<div id="grid_content" style="width: 100%">

  <div id="div_left" style=" width:400px;float: left;">
    <div id="retrieve" class="m-retrieve-area f-h50 f-dn f-pr" style="display:block;border: 1px solid #D6D6D6;border-bottom: 0px;height: 50px;">
      <!-- ####### 查询条件部分 ####### -->
      <form id="dataForm" class="m-form-inline">
        <div class="m-form-group" style="margin-top: 10px;">
          <label id="left_title"><spring:message code="lbl.dataset"/></label>
          <div class="m-form-control">
            <input type="text" id="searchNm" name="searchNm" placeholder="请输入编码或名称"  style="font-size: 12px;"
                   class="f-ml10">
            <input id="hiddenText" type="text" style="display:none">
          </div>
        </div>
      </form>
    </div>
    <div id="div_left_grid" >

    </div>
  </div>


  <div id="div_right" style="float: left;width: 700px;margin-left: 10px">
    <div id="entryRetrieve" class="m-retrieve-area f-h50 f-dn f-pr" style="display:block;border: 1px solid #D6D6D6;border-bottom: 0px;height: 50px;">
      <!-- ####### 查询条件部分 ####### -->
      <form class="m-form-inline">
        <div class="m-form-group" style="margin-top: 10px;">
          <label id="right_title"><spring:message code="title.metaData"/></label>
          <div class="m-form-control">
            <input type="text" id="searchNmEntry" name="searchNmEntry" placeholder="请输入编码或名称"  style="font-size: 12px;"
                   class="f-ml10">
            <input id="hiddenText1" type="text" style="display:none">
          </div>
          <div class="m-form-control right" style="margin-right: 10px;" id="div_btn">
            <div id="btn_add_relation" class="l-button l-button-green" style="display: none;">
              <span>新增</span>
            </div>
            <div id="btn_save_relation" class="l-button div-btn">
              <span>保存</span>
            </div>
          </div>
        </div>
      </form>

      </div>
    <div id="div_relation_grid" ></div>
  </div>
</div>
</div>
