<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>

<style>

  input,#cdaVersion {
    font-family: SimSun;
    font-size: 14px;
    height: 30px;
    width: 240px;
  }

  .image-create{
    margin-left:20px;
    width: 22px;
    height: 22px;
    background: url(${staticRoot}/images/add_btn.png);
  }

  .image-create:hover{
    cursor: pointer;
    margin-left:20px;
    width: 22px;
    height: 22px;
    background: url(${staticRoot}/images/add_btn_pre.png);
  }
  .image-modify{
    width: 22px;
    height: 22px;
    background: url(${staticRoot}/images/Modify_btn_pre.png);
  }
  .image-delete{
    width: 22px;
    height: 22px;
    margin-top: -22px;
    background: url(${staticRoot}/images/Delete_btn_pre.png);
  }

  .font_right{
    text-align: right;
  }


  .description{
    height: 180px;
    width: 240px;
  }
  .condition input,
  .condition select{
    font-family: SimSun;
    font-size: 12px;
    height: 30px;
    width: 240px;
  }
  .condition button {
    width: 84px;
  }
  .body-head input{
    border: 0;
    font-size: 12px;
    width: 100px;
  }
  .back{
    border-right: 1px solid #d3d3d3;
  }
  .m-form-inline .m-form-group label{width:auto;}
  .select2-search--dropdown{display: none !important;}
</style>


<div id="div_wrapper" >
  <input id="version" value='${version}' hidden="none" />
  <input id="standard_id" value='${stdId}' hidden="none" />
  <input id="publish_status" value='${status}' hidden="none" />
  <input id="type" value='${type}' hidden="none" />

  <div position="top" style="margin-top: 10px;">
    <div id="btn_back" class="l-button u-btn u-btn-primary u-btn-small"  onclick="javascript: indexPage.openChildPage('','${contextRoot}'+ '${backUrl}');">
      <span>< 返回</span>
    </div>
    <div id="title" style="text-align:center;font-size: 18px;margin-right:100px;font-weight: bold;">
      ${name}
    </div>
  </div>
  <br/>
  <div class="btn-group  f-tac " data-toggle="buttons" style="text-align: center;height: 50px;">
    <label class="btn btn-default active" style="width: 100px;" id="switch_dataSet"><input type="radio" name="options"  autocomplete="off" checked="">数据集</label>
    <label class="btn btn-default" style="width: 100px;" id="switch_dict"><input type="radio" name="options"  autocomplete="off">字典</label>
  </div>
  <label class="btn btn-default" style="width: 100px;display: none;" id="switch_datasource"><input type="radio" name="options" autocomplete="off">数据源</label>

<div id="grid_content" style="width: 100%">

  <div id="div_left" style=" width:400px;float: left;">
    <div id="retrieve" class="m-retrieve-area f-h50 f-dn f-pr" style="display:block;border: 1px solid #D6D6D6;border-bottom: 0px;height: 50px;">
        <!-- ####### 查询条件部分 ####### -->
        <form id="dataForm" class="m-form-inline">
          <div class="m-form-group" style="margin-top: 10px;">
            <label id="left_title"><spring:message code="lbl.dataset"/></label>
            <div class="m-form-control">
              <input type="text" id="searchNm" name="searchNm" placeholder="<spring:message code="lbl.input.placehold"/>"  style="font-size: 12px;"
                     class="f-ml10">
              <input id="hiddenText" type="text" style="display:none">
            </div>
            <div class="m-form-control right" style="margin-right: 5px;">
              <div id="btn_create" class="l-button l-button-green div-btn">
                <span>新增</span>
              </div>
            </div>
          </div>
        </form>
    </div>
    <div id="div_left_grid" >

    </div>
  </div>


  <div id="div_right" style="float: left;width: 700px;margin-left: 10px">
    <div id="entryRetrieve" class="m-retrieve-area f-h50 f-dn f-pr" style="display:block;border: 1px solid #D6D6D6;border-bottom: 0px;height: 50px;">
      <!-- ####### 查询条件部分 ####### -->
      <form class="m-form-inline">
        <div class="m-form-group" style="margin-top: 10px;">
          <label id="right_title"><spring:message code="title.metaData"/></label>
          <div class="m-form-control">
            <input type="text" id="searchNmEntry" name="searchNmEntry" placeholder="<spring:message code="lbl.input.placehold"/>"  style="font-size: 12px;"
                   class="f-ml10">
            <input id="hiddenText1" type="text" style="display:none">
          </div>
          <div class="m-form-control right" style="margin-right: 10px;">
            <div id="btn_create_relation" class="l-button l-button-green div-btn">
              <span>新增</span>
            </div>
          </div>
        </div>
      </form>

      </div>
    <div id="div_relation_grid" ></div>
  </div>

  <div id="div_datasource" style="display: none;">
    <div class="m-retrieve-area f-h50 f-dn f-pr"  style="display:block;border: 1px solid #D6D6D6;border-bottom: 0px;height: 50px;">
      <!-- ####### 查询条件部分 ####### -->
      <form class="m-form-inline">
        <div class="m-form-group" style="margin-top: 10px;">
          <div class="m-form-control right" style="margin-right: 10px;">
            <div id="btn_save_datasource" class="l-button div-btn">
              <span>保存</span>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div id="div_datasource_grid">

    </div>

  </div>


</div>
</div>
