<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="utf-8"%>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<style>

    #inp_url { height: 50px; }
    #inp_description { height: 100px; }
    #label_title {width : 100px}
</style>
<div id="div_std_info_form" data-role-form class="m-form-inline f-mt20" data-role-form>

    <input type="hidden" id="id" data-attr-scan="id"/>
    <div class="m-form-group">
        <label style="width:80px"><spring:message code="lbl.code"/><spring:message code="spe.colon"/></label>
        <div class="l-text-wrapper m-form-control essential">
            <input type="text" id="inp_std_code" class="required f-w240"  required-title="该项为必输项！" data-attr-scan="code"/>
        </div>
    </div>
    <div class="m-form-group">
        <label style="width:80px"><spring:message code="lbl.designation"/><spring:message code="spe.colon"/></label>
        <div class="l-text-wrapper m-form-control essential">
            <input type="text" id="inp_std_name" class="required f-w240"  required-title="该项为必输项！" data-attr-scan="name"/>
        </div>
    </div>
    <div class="m-form-group">
        <label style="width:80px"><spring:message code="lbl.type"/><spring:message code="spe.colon"/></label>
        <div class="l-text-wrapper m-form-control ">
            <input type="text" id="inp_std_type" data-type="select" class="required" data-attr-scan="type">
        </div>
    </div>

    <div class="m-form-group">
        <label style="width:80px"><spring:message code="lbl.introduction"/><spring:message code="spe.colon"/></label>
        <div class="m-form-control ">
            <textarea id="inp_std_description" class="f-w240" data-attr-scan="description" maxlength="500"></textarea>
        </div>
    </div>

    <div class="m-form-group f-pr" align="right">
        <div class="m-form-control f-pa" style="right: 10px">
            <input type="button" value="保存" id="btn_save" class="l-button u-btn u-btn-primary u-btn-large f-ib f-vam" />
            <div id="btn_cancel" class="l-button u-btn u-btn-cancel u-btn-large f-ib f-vam" >
                <span>关闭</span>
            </div>
        </div>
    </div>
</div>

