<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<script type="text/javascript" src="${staticRoot}/lib/jquery/jqueryform.js"></script>
<script type="text/javascript" src="${staticRoot}/lib/webuploader/webuploader.js"></script>
<script type="text/javascript" src="${staticRoot}/lib/webuploader/upload.js"></script>
<script type="text/javascript">

    /* *************************** 模块初始化 ***************************** */
    var editorParam = {
        //form
        actionUrl:"${contextRoot}/flow/addFlow",

        init: function () {
            this.bindEvents();
            this.initForm();
        },
        initForm: function () {
            var me = this;
           var data;
            var modelString = "${model.id}";
            if(modelString!=undefined && modelString!=null && modelString.length>0)
            {
                var type = "${flowClass.type}";
                liger.get("type").selectValue(type);
                var valid = "${model.valid}";
                liger.get("valid").selectValue(valid);
               data={
                    id: "${model.id}",
                    name: "${model.name}",
                   code: "${model.code}",
                   path: "${model.path}",
                   chart:"${model.chart}",
                   valid:"${model.valid}",
                   type: type,
                   classPath: "${flowClass.classPath}",
                   packageName: "${flowClass.packageName}",
                   className: "${flowClass.className}",
                };

                me.actionUrl = "${contextRoot}/flow/updateFlow";
            }else{
                liger.get("valid").selectValue("1");//默认有效
                liger.get("type").selectValue("route");//默认route
            }

            $("#div_info_form").ligerAutoForm({
                data:data,
                validate:{
                    name:"required"
                },

            });
        },
        bindEvents: function () {
            var me = this;
            $(".m-form-bottom").on("click","#btnSave",function () {
                if(!$("#div_info_form").ligerAutoForm("validate")){
                    return;
                }
                var data = $("#div_info_form").ligerAutoForm("getData");
                $.ajax({ //ajax处理
                    type: "POST",
                    url : me.actionUrl,
                    dataType : "json",
                    data:data,
                    cache:false,
                    success :function(data){
                        if(data.successFlg) {
                            parent.flow.dialogSuccess(data.message);
                        }
                        else{
                            $.ligerDialog.error(data.message);
                        }
                    },
                    error :function(data){
                        $.ligerDialog.error("valid:"+data.valid +"(" +data.statusText+")");
                    }
                });
            });

            $(".m-form-bottom").on("click","#btnCancel",function () {
                parent.flow.dialog.close();
            });

            $("#valid").ligerComboBox({data : [{"value":"有效","code":"1"},{"value":"无效","code":"0"}],
                cancelable:false,
                onSuccess:function(data){
                }});
            $("#type").ligerComboBox({data : [{"value":"route","code":"route"},{"value":"processor","code":"processor"}],
                cancelable:false,
                onSuccess:function(data){
                }});

            $("#form1").on("click",".btnGrayUp",function(){
                var inputVal=$(this).closest("div").find("input[type=text]");
                var obj=$(this).closest("div").find("input[type=file]")
                obj.change(function(){
                    inputVal.val(obj.val());
                })
                obj.click();
            });
            $("#form2").on("click",".btnGrayUp",function(){
                var inputVal=$(this).closest("div").find("input[type=text]");
                var obj=$(this).closest("div").find("input[type=file]")
                obj.change(function(){
                    inputVal.val(obj.val());
                })
                obj.click();
            });
            $("#form3").on("click",".btnGrayUp",function(){
                var inputVal=$(this).closest("div").find("input[type=text]");
                var obj=$(this).closest("div").find("input[type=file]")
                obj.change(function(){
                    inputVal.val(obj.val());
                })
                obj.click();
            });

            $(".btnGrayDo").bind("click",function(){
                var id = $(this).attr("data-id");
                var formId = '#form'+id;
                var formObj=$(formId);//要提交的表单
                var Obj=$(".btnGrayDo");
                var upObj=formObj.closest("input").find(".btnGrayUp");//浏览的按钮
                var formsay=formObj.find(".say"+id);//提示文字
                if(formObj.closest("div").find("input[type=text]").val().length!=0){//判断是否选择了文件
                    formsay.attr("class","say true").html("上传中");
                    formObj.ajaxForm({
                        dataType: 'json',
                        success:  function processJson(data){
                            if(data.successFlg){
                                formsay.attr("class","say true").html("上传成功");
                                formObj.find("input[type=text]").attr("data-id",data.message)//设置已上传的文件的ID
                                formObj.find(".btnDel").css("display","inline-block")
                                formObj.closest("div").find("span").html("重新导入<i></i>");
                            }else{
                                $.ligerDialog.error("上传格式有问题");
                                Obj.css("background","#ebebeb").html("导入");

                            }
                            //console.log(eval('('+data.data+')'));
                        },
                        error: function processJson(data){
                            formsay.attr("class","say false").html("上传失败");
                        }
                    });
                    formObj.submit();
                }else{
                    $.ligerDialog.error("请选择要上传的文件");
                }
            });


        }
    };

    function getFilePath(input){
        if(input){//input是<input type="file">Dom对象
            if(window.navigator.userAgent.indexOf("MSIE")>=1){  //如果是IE
                input.select();
                return document.selection.createRange().text;
            }
            else if(window.navigator.userAgent.indexOf("Firefox")>=1){  //如果是火狐  {
                if(input.files){
                    return input.files.item(0).getAsDataURL();
                }
                return input.value;
            }
            return input.value;
        }
    }


    $(function () {
        editorParam.init();
        getFilePath($("#file1"));
        getFilePath($("#file2"));
        getFilePath($("#file3"));
    });
</script>